Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Published by Scroll Versions from space ENGINES1031 and version 10.4.1

This section describes the requirements to import and work with findings in an IDE. To perform code analysis, ensure that your system meets the minimum system requirements; see Automation - Prerequisites.

IDE

Parasoft  C/C++test Standard can analyze locally buildable projects that are imported into your IDE. The following IDEs are supported:

  • Eclipse 3.8 and 4.2-4.8
  • Visual Studio 2008, 2010, 2012, 2013, 2015 and 2017

Parasoft IDE Plugins

To integrate Parasoft C/C++test with your IDE, you need to install two plugins that are shipped with the product: the Parasoft Plugin and the C/C++test Plugin for your IDE. Both plugins are required to work with C/C++test from within your IDE.

(info) The plugins must have the same version.

(info) Ensure that the previous versions of the plugins and other Parasoft products are uninstalled from your IDE before you install the plugins.

The Parasoft C/C++test